;*******************(C) COPYRIGHT 2019 Masses-Chip *************************
;* Project Name       : M8P613 ADC Demo
;* File Name          : M8P613_ADC.ASM
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;***************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;***************************************************************************
     LIST P=QT8S724                       ;define mcu type
INCLUDE QT8S724.INC


			udata	H'09'
ADC_MAX_DATAH			RES		1                                    ;//最大数据高位
ADC_MAX_DATAL			RES		1                                    ;//最大数据低位
ADC_MIN_DATAH			RES		1                                    ;//最小数据高位
ADC_MIN_DATAL			RES 	1                                    ;//最小数据低位
ADC_DATA_SUM_L			RES		1                                    ;//数据求和低位
ADC_DATA_SUM_H			RES 	1                                    ;//数据求和高位
R_Count					RES 	1									 ;//取值次数
ADCCHNum				RES 	1									 ;//通道选择
;******************************************************************************
;==============================CODE============================================
;******************************************************************************	
       ORG       0000H
       GOTO      MainProgram
       ORG       0008H                                                        
	   ;//GOTO      interrupt
	 
;******************************************************************************
;==============================中断处理程序====================================
;======================注:没有使能的中断不要判断中断标志位=====================
;******************************************************************************			
Interrupt:
            PUSH        ;//进栈、保存A、STATUS
			
;//中断处理程序	
		    NOP		
			
Interrupt_End:	
            POP         ;//出栈、恢复A、STATUS			
		    RETIE
				
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//---------------------------程序初始化---------------------------------------	

MainProgram:
      CALL      SYSTEM_INIT	 		;//系统初始化
	  CALL      Clr_RAM_00H_3FH		;//清零RAM
	  CALL      ADC_Init			;//ADC初始化
;//----------------------------主函数循环--------------------------------------

Main_Loop:
	  CALL      ADC_DATA_Deal		;//数据处理函数  
	  CLRWDT						;//清看门狗
	  GOTO      Main_Loop

;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC			;//系统初始化
#INCLUDE	ADC_INIT.INC			;//ADC初始化
#INCLUDE	ADC_WORK.INC			;//数据处理函数 

	END
;*********************************END OF FILE**********************************
