/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* File Name           : COMMON.H
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;所有C文件的公用申明
;
;*******************************************************************************/
#ifndef __COMMON_H__
#define __COMMON_H__

#include "QT8S724.h"
#include "GRANDLOTUS_Define.h"


//**************************************************************************
//=======================函数申明===========================================
//**************************************************************************
//=============================================================
//系统中断初始化
//=============================================================
void  SYSTEM_INIT(void);

//=============================================================
//寄存器清零
//=============================================================
void Clr_RAM_00H_3FH(void) ;

//=============================================================
//ADC初始化
//=============================================================
void  ADC_Init(void);

//=============================================================
//ADC转换数据
//=============================================================
void  ADCSampling12Bit(uchar Num);

//=============================================================
//ADC测量数据处理程序
//=============================================================
void  ADC_DATA_Deal(void);


#endif
/*********************************END OF FILE************************************/
/*******************(C) COPYRIGHT 2018 Masses-Chip ******************************/   
