;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ***********************
;* File Name          : SYSTEM_INIT.INC
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;*************************************************************************
;*************************************************************************
;
;INT1初始化
;
;*************************************************************************	
;//******************************************************************************************
;/////////////////////////////////中断模式选择///////////////////////////////////////////////
;//******************************************************************************************
;//MINT0[1:0] INT0 中断模式选择
;//00 上升沿中断
;//01 下降沿中断
;//1X 变化中断
#define				MINT1_UP				b'00110000'       ;上升沿中断
#define				MINT1_DOWN				b'00110100'       ;下降沿中断
#define				MINT1_CHANGE			b'00111000'       ;变化中断

;*********************************************************************************
;===============================INT1初始化========================================
;*********************************************************************************
INT1_INTERRTUPT: 
;//1、端口设置  
		BSET     PUA,0		;//INT1端口设置为上拉
		BCLR	 OEA,0		;//INT1端口设置为输入
;//2、中断模式选择		
		MOVIA     MINT1_DOWN
		MOVAR     OPTION 		
;//3、中断使能		
        BSET	  INTCR1,INT1IE	  ;//INT1中断使能
		BCLR	  INTF1,INT1IF
;//4、总中断使能 	 
		BSET	  OPTION,GIE      ;//总中断使能
		RETURN
		
;*********************************END OF FILE******************************  
