/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project Name        : QT8S724 WDT Demo
;* File Name           : QT8S724_WDT.C
;* Author              : GRAND LOTUS
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;*******************************************************************************/
//===============================================================================
#include "common.h"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)                  //程序主函数
{    
    SYSTEM_INIT();                //系统初始化
	Clr_RAM_00H_3FH();           //清零RAM
	while(1)
	{
		__NOP();
		__NOP();
		__NOP();
		STOP=1;   //进入休眠模式		
		IOA=~IOA;
		__NOP();
	}	
}

//===============================================================================
//******************************中断服务子程序***********************************
//=======================注:没有使能的中断不要判断中断标志位=====================
//===============================================================================
void int_isr(void) __interrupt	 
{
	__PUSH();                    //进栈、保存A、STATUS
	
//中断处理程序
	__NOP();
	
	__POP();                     //出栈、恢复A、STATUS
}

/*********************************END OF FILE************************************/  