/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project Name        : QT8S724 INT0 Demo
;* File Name           : QT8S724_INT0.C
;* Author              : GRAND LOTUS
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, BOR 2.4V, 
;
;*******************************************************************************/
//===============================================================================
#include "COMMON.H"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)                 //程序主函数
{   
    SYSTEM_INIT();               //系统初始化
	Clr_RAM_00H_3FH();           //清零RAM
	INT0_INTERRUPT_INIT();       //INT0中断初始化
	while(1)
	{
		__NOP();
		__CLRWDT();				 //清看门狗
	}	
}

//===============================================================================
//******************************中断服务子程序***********************************
//=======================注:没有使能的中断不要判断中断标志位=====================
//===============================================================================
void  int_isr(void) __interrupt
{  
    __PUSH();					//压栈、保存A、STATUS  
	if(INT0IF)					//检测INT0标志位 
	{
		INT0IF = 0;				//清零INT0标志位
		//下面加中断中需要的操作  
		__NOP();
	}

    __POP();					//出栈、恢复A、STATUS
   
}
/*********************************END OF FILE************************************/
