/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project Name        : QT8S724 IOB Demo
;* File Name           : QT8S724_IOB.C
;* Author              : GRAND LOTUS
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;Option: 16M/16T, WDT-Disable, BOR 2.4V, 
;
;*******************************************************************************/
//===============================================================================
#include "common.h"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)                  //程序主函数
{   
    SYSTEM_INIT();                //系统初始化
	Clr_RAM_00H_3FH();            //清零RAM
	IO_INTERRUPT_INIT();          //IO中断初始化
	while(1)
	{
		__NOP();
		__CLRWDT();				  //清看门狗
	}	
}
//===============================================================================
//******************************中断服务子程序***********************************
//=======================注:没有使能的中断不要判断中断标志位=====================
//===============================================================================
void  int_isr(void) __interrupt
{  
    __PUSH();				//压栈、保存A、STATUS
	if(IOCHIF)				//检测IO变化中断标志位
	{
		IOCHIF = 0;			//清零IO变化中断标志位
	//下面加中断中需要的操作
		__NOP();
	}
	__POP();				//出栈、恢复A、STATUS
   
}
/*********************************END OF FILE************************************/
